petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectList

Linked list of PETSc objects, each accessable by string name

### Synopsis

    typedef struct _n_PetscObjectList *PetscObjectList;

Notes: Used by PetscObjectCompose() and PetscObjectQuery()

### See Also

PetscObjectListAdd(), PetscObjectListDestroy(), PetscObjectListFind(), PetscObjectCompose(), PetscObjectQuery(), PetscFunctionList

Level:developer
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages